******************************************************************************
class ColumnFormat(f,n) of text(f,n) custom
******************************************************************************
         this.Text			= "Column Format: Delete Me"

         #DEFINE TEXT_FONT		"Roman"
         #DEFINE TEXT_FONT_SIZE		12
         #DEFINE TEXT_FONT_BOLD		.T.
         #DEFINE TEXT_HEIGHT		1.25
         #DEFINE ENTRY_FONT		"Arial"
         #DEFINE ENTRY_FONT_SIZE	10
         #DEFINE ENTRY_FONT_BOLD	.T.
         #DEFINE ENTRY_HEIGHT		1.25

         Check 				= form.First					
         FirstSet			= .T.						
                                                                        
         DO
            IF Check.Classname == "TEXT"
            	
               IF Check.Before.Classname == "ENTRYFIELD" .OR.; 
                  Check.Before.Classname == "SPINBOX"
                  
****** Do not move the first text object of the Text/Entryfield sets ******

                  IF .NOT. FirstSet		
                     Check.Top		= form.NextRow()		
                  ELSE
                  Left			= Check.Left		
                  ENDIF
                  FirstSet		= .F.
                  
****** Text Object Format Section ******                  

                  Check.Font		= TEXT_FONT
                  Check.FontSize	= TEXT_FONT_SIZE
                  Check.FontBold	= TEXT_FONT_BOLD
                  Check.Width		= MAX( Check.Before.Width,;
                                          Check.GetTextExtent( Check.Text ) )
                  Check.Left		= Left
                  Check.Height		= TEXT_HEIGHT
                  
****** Entryfield Object Format Section ******                     

                  Check.Before.Left	= Left			
                  Check.Before.Top	= Check.Top + Check.Height
                  Check.Before.Width	= Check.Before.Width * ;
                                          (ENTRY_FONT_SIZE/;
                                          Check.Before.FontSize )
                  Check.Before.FontName	= ENTRY_FONT
                  Check.Before.FontSize	= ENTRY_FONT_SIZE
                  Check.Before.FontBold	= ENTRY_FONT_BOLD
                  Check.Before.Height	= ENTRY_HEIGHT	

                  Check			= Check.Before
                  
               ENDIF
            ELSE
               Check.Top		= form.NextRow() + 1
            ENDIF
            
****** Make sure the form is big enough to contain all of the objects ******            

            IF form.Height < Check.Top + Check.Height
               form.Height = check.Top + Check.Height
            ENDIF
            
            Check 			= Check.Before
            
         UNTIL Check.Name 	== Form.First.Name

endclass
******************************************************************************
